Zeitgeist.manifestation_for_uri – zeitgeist-2.0 Reference Manual

# manifestation_for_uri

## Description:

public unowned string? manifestation_for_uri (string uri)

zeitgeist_manifestation_for_uri

Look up a subject manifestation type for a given URI. Eg. if you pass in file:\/\/\/tmp/foo.txt you will get back ZEITGEIST_NFO_FILE_DATA_OBJECT.

## Parameters:

uri | An URI

## Returns:

A subject manifestation type for @uri or %NULL in case no suitable manifestation type is known

Namespace: Zeitgeist
Package: zeitgeist-2.0